See Session.signal

### Hierarchy

- SignalOptions

## Index

### Properties

- data
- to
- type

## Properties

### Optional data

data: string

- Defined in OpenViduInternal/Interfaces/Public/SignalOptions.ts:28

The actual message of the signal.

### Optional to

to: Connection[]

- Defined in OpenViduInternal/Interfaces/Public/SignalOptions.ts:34

The participants to whom to send the signal. They will only receive it if they are subscribed to event `Session.on('signal')`. If empty or undefined, the signal will be send to all participants.

### Optional type

type: string

- Defined in OpenViduInternal/Interfaces/Public/SignalOptions.ts:40

The type of the signal. Participants subscribed to event `Session.on('signal:type')` will receive it. Participants subscribed to `Session.on('signal')` will receive all signals.

Generated using TypeDoc